Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162903 - CAN-2002-1914 dump denial of service
Summary: CAN-2002-1914 dump denial of service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: dump
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20020717,source=cve
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 15:44 UTC by Josh Bressers
Modified: 2013-07-02 23:08 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-583
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-03 14:12:19 UTC


Attachments (Terms of Use)
Patch taken from upstream CVS (deleted)
2005-07-11 15:46 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:583 normal SHIPPED_LIVE Low: dump security update 2005-08-03 04:00:00 UTC

Description Josh Bressers 2005-07-11 15:44:42 UTC
dump 0.4 b10 through b29 allows local users to cause a denial of service
(execution prevention) by using flock() to lock the /etc/dumpdates file.

More information regarding this issue is here:
http://archives.neohapsis.com/archives/bugtraq/2002-07/0204.html

Comment 1 Josh Bressers 2005-07-11 15:46:47 UTC
Created attachment 116609 [details]
Patch taken from upstream CVS

Comment 2 Jindrich Novy 2005-07-12 08:19:07 UTC
Josh, thanks for the patch, it's now applied and errata is comming up.

Comment 3 Red Hat Bugzilla 2005-08-03 14:12:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-583.html



Note You need to log in before you can comment on or make changes to this bug.